/**************************************************************
 * RobotModule.h
 *
 * Copyright (C) 2002 - Pacific Star Technologies Ltd 
 * All Rights Reserved. Unauthorized dissemination of this file
 * is strictly prohibited.
 *
 * Created: Aug 2, 2002
 *************************************************************/

#ifndef IFACE_H_
#define IFACE_H_

#include "RobotLib.h"

// {D865F96B-DCB2-4bff-AC1A-510804F04293}
DEFINE_GUID(IID_IRbtModuleName, 
  0xd865f96b, 0xdcb2, 0x4bff, 0xac, 0x1a, 0x51, 0x8, 0x4, 0xf0, 0x42, 0x93);

DECLARE_INTERFACE_(IRbtModuleName, IRbtModule)
{
  STDMETHOD(QueryInterface) (THIS_ REFIID, void **) PURE;
  STDMETHOD_(ULONG, AddRef) (THIS) PURE;
  STDMETHOD_(ULONG, Release) (THIS) PURE;
};

#endif